Bug 222155 - Support modules in service workers
Summary: Support modules in service workers
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-02-18 19:58 PST by Yusuke Suzuki
Modified: 2021-02-21 13:54 PST (History)
4 users (show)

See Also:


Attachments
Patch (21.85 KB, patch)
2021-02-20 14:36 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (27.34 KB, patch)
2021-02-20 23:23 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (27.53 KB, patch)
2021-02-20 23:27 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (26.42 KB, patch)
2021-02-20 23:30 PST, Yusuke Suzuki
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2021-02-18 19:58:33 PST
...
Comment 1 Yusuke Suzuki 2021-02-20 14:36:35 PST
Created attachment 421114 [details]
Patch
Comment 2 Yusuke Suzuki 2021-02-20 23:23:05 PST
Created attachment 421130 [details]
Patch
Comment 3 Yusuke Suzuki 2021-02-20 23:27:56 PST
Created attachment 421131 [details]
Patch
Comment 4 Yusuke Suzuki 2021-02-20 23:30:30 PST
Created attachment 421132 [details]
Patch
Comment 5 Radar WebKit Bug Importer 2021-02-20 23:49:09 PST
<rdar://problem/74564317>
Comment 6 Saam Barati 2021-02-21 08:55:36 PST
Comment on attachment 421132 [details]
Patch

LGTM. Should we add some of our own tests too that aren’t imported?
Comment 7 Yusuke Suzuki 2021-02-21 13:27:39 PST
(In reply to Saam Barati from comment #6)
> Comment on attachment 421132 [details]
> Patch
> 
> LGTM. Should we add some of our own tests too that aren’t imported?

I think, for now, imported tests cover the things we would like to check. So, I will add tests if issue is found.
Comment 8 Yusuke Suzuki 2021-02-21 13:54:35 PST
Committed r273224 (234410@main): <https://commits.webkit.org/234410@main>